[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Spacewalk-list] Client Tools 0.8 hal dependency.



Hi Everyone,

I have just completed spacewalk 0.8 upgrade without any issues.
I have also upgraded the 0.7 client tools channel to 0.8
Our client systems are all Centos 5.3 so we don't have any 5.4
channels or clients.
On a 5.3 client I did a yum check-update to install the new 0.8 client
tools and hit some dependency problems.
I manually pushed python-dmidecode.x86_64 0:3.10.7-3.el5 into the
client channel, but there is a dependency for hal 0.5.8.1-52 which I
notice is part of 5.4
Has anyone come across this issue, is it ok to push the hal into the
channel as well? I don't want to end up in dependency hell!

jabberpy.noarch                          0.5-0.17.el5           epel5.3-x86_64
libwsman1.i386                           2.2.0-5.el5            epel5.3-x86_64
openwsman-client.i386                    2.2.0-5.el5            epel5.3-x86_64
openwsman-server.i386                    2.2.0-5.el5            epel5.3-x86_64
osad.noarch                              5.9.29-1.el5
spacewalk-client-5.3-x86_64
python-ctypes.x86_64                     1.0.2-2.el5            epel5.3-x86_64
rhn-check.x86_64                         0.8.12-1.el5
spacewalk-client-5.3-x86_64
rhn-client-tools.x86_64                  0.8.12-1.el5
spacewalk-client-5.3-x86_64
rhn-setup.x86_64                         0.8.12-1.el5
spacewalk-client-5.3-x86_64
rhncfg.noarch                            5.9.18-1.el5
spacewalk-client-5.3-x86_64
rhncfg-actions.noarch                    5.9.18-1.el5
spacewalk-client-5.3-x86_64
rhncfg-client.noarch                     5.9.18-1.el5
spacewalk-client-5.3-x86_64
rhncfg-management.noarch                 5.9.18-1.el5
spacewalk-client-5.3-x86_64
rhnlib.noarch                            2.5.21-1.el5
spacewalk-client-5.3-x86_64
rhnsd.x86_64                             4.8.3-1.el5
spacewalk-client-5.3-x86_64
yum-rhn-plugin.noarch                    0.8.5-1.el5
spacewalk-client-5.3-x86_64


Resolving Dependencies
--> Running transaction check
---> Package libwsman1.i386 0:2.2.0-5.el5 set to be updated
---> Package rhn-client-tools.x86_64 0:0.8.12-1.el5 set to be updated
--> Processing Dependency: hal >= 0.5.8.1-52 for package: rhn-client-tools
--> Processing Dependency: python-dmidecode for package: rhn-client-tools
--> Processing Dependency: python-ethtool for package: rhn-client-tools
---> Package openwsman-client.i386 0:2.2.0-5.el5 set to be updated
---> Package osad.noarch 0:5.9.29-1.el5 set to be updated
---> Package rhncfg-actions.noarch 0:5.9.18-1.el5 set to be updated
---> Package jabberpy.noarch 0:0.5-0.17.el5 set to be updated
---> Package rhn-setup.x86_64 0:0.8.12-1.el5 set to be updated
---> Package rhncfg-client.noarch 0:5.9.18-1.el5 set to be updated
---> Package rhncfg.noarch 0:5.9.18-1.el5 set to be updated
---> Package rhn-check.x86_64 0:0.8.12-1.el5 set to be updated
---> Package rhncfg-management.noarch 0:5.9.18-1.el5 set to be updated
---> Package rhnsd.x86_64 0:4.8.3-1.el5 set to be updated
---> Package yum-rhn-plugin.noarch 0:0.8.5-1.el5 set to be updated
---> Package python-ctypes.x86_64 0:1.0.2-2.el5 set to be updated
---> Package openwsman-server.i386 0:2.2.0-5.el5 set to be updated
---> Package rhnlib.noarch 0:2.5.21-1.el5 set to be updated
--> Running transaction check
---> Package rhn-client-tools.x86_64 0:0.8.12-1.el5 set to be updated
--> Processing Dependency: hal >= 0.5.8.1-52 for package: rhn-client-tools
---> Package python-ethtool.x86_64 0:0.3-5.el5 set to be updated
---> Package python-dmidecode.x86_64 0:3.10.7-3.el5 set to be updated
--> Finished Dependency Resolution
rhn-client-tools-0.8.12-1.el5.x86_64 from spacewalk-client-5.3-x86_64
has depsolving problems
  --> Missing Dependency: hal >= 0.5.8.1-52 is needed by package
rhn-client-tools-0.8.12-1.el5.x86_64 (spacewalk-client-5.3-x86_64)
Error: Missing Dependency: hal >= 0.5.8.1-52 is needed by package
rhn-client-tools-0.8.12-1.el5.x86_64 (spacewalk-client-5.3-x86_64)

Thanks

Keith.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]